import request from '@/utils/request'

/**
 * 查询
 * @param {*} data
 * @returns
 */
export function mpWorkPlanList(data) {
  return request({
    url: 'api/txzz/mpProdPlan/list',
    method: 'post',
    data
  })
}

export function getBlockPlan(data = {}) {
  return request({url: 'api/tx/jszbgl/getBlockWorkPlan?project=' + data.project, method: 'get', data})
}

/**
 * excel导入api
 */
export function upload(url, data) {
  return request({
    url: url,
    method: 'post',
    data
  })
}

/**
 * 保存
 */
export function mpWorkPlanSave(data) {
  return request({
    url: 'api/txzz/mpProdPlan/save',
    method: 'post',
    data
  })
}

export function saveWithQz1(data){
  return request({
    url: 'api/txzz/mpProdPlan/saveWithQz',
    method: 'post',
    data
  })
}

/**
 * 平衡
 */
export function balance(data) {
  return request({
    url: 'api/txzz/mpProdPlan/balance',
    method: 'post',
    data
  })
}

/**
 * 船只编号
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function queryProject(data) {
  return request({
    url: '/api/gj/dmProject/getpro',
    method: 'post',
    data
  })
}

// 单位转码
export function wgzyBase(data) {
  return request({url: '/api/txzz/mpWorkPlan/getDept ', method: 'post', data})
}

export function getBMBM(bm, dict) {
  for (const b in dict) {
    if (dict[b].departCode === bm) {
      return dict[b].departName;
    }
  }
  return ''
}

/**
 * 生产计划审核退回
 * @param {*} data
 * @returns
 */
export function mpSHTH(data) {
  return request({
    url: '/api/tx/jszbgl/th',
    method: 'post',
    data
  })
}

/**
 * 三月滚动计划查询
 * @param {*} data
 * @returns
 */
export function GDCX(data) {
  return request({
    url: 'api/tj/MpMarchPlan/getList',
    method: 'post',
    data
  })
}

/**
 * 三月滚动计划保存
 * @param {*} data
 * @returns
 */
export function GDBC(data) {
  return request({
    url: 'api/tj/MpMarchPlan/saveOrUpdate',
    method: 'post',
    data
  })
}

/**
 * 取自其他船只时的保存数据
 * @param data
 * @returns {*}
 */
export function saveWithQz(data) {
  return request({
    url: 'api/tj/MpMarchPlan/saveWithQz',
    method: 'post',
    data
  })
}

/**
 * 三月滚动计划提交
 * @param {*} data
 * @returns
 */
export function GDTJ(data) {
  return request({
    url: 'api/tj/MpMarchPlan/tj',
    method: 'post',
    data
  })
}
